draw_key {ggplot2} | R Documentation

## Key drawing functions

### Description

Each Geom has an associated function that draws the key when the geom needs to be displayed in a legend. These are the options built into ggplot2.

### Usage

    draw_key_point(data, params, size)

    draw_key_abline(data, params, size)

    draw_key_rect(data, params, size)

    draw_key_polygon(data, params, size)

    draw_key_blank(data, params, size)

    draw_key_boxplot(data, params, size)

    draw_key_crossbar(data, params, size)

    draw_key_path(data, params, size)

    draw_key_vpath(data, params, size)

    draw_key_dotplot(data, params, size)

    draw_key_pointrange(data, params, size)

    draw_key_smooth(data, params, size)

    draw_key_text(data, params, size)

    draw_key_label(data, params, size)

    draw_key_vline(data, params, size)

### Arguments

`data` | A single row data frame containing the scaled aesthetics to display in this key
`params` | A list of additional parameters supplied to the geom.
`size` | Width and height of key in mm.

### Value

A grid grob.

[Package ggplot2 version 2.1.0 Index]